/**
 * An object with zero or more optional properties to control Rimu Markup
 * translation in the render() API.
 */
export interface RenderOptions {
    safeMode?: number;
    htmlReplacement?: string;
    reset?: boolean;
    callback?: CallbackFunction;
}
export interface CallbackMessage {
    type: string;
    text: string;
}
export declare type CallbackFunction = (message: CallbackMessage) => void;
export declare function init(): void;
export declare function isSafeModeNz(): boolean;
export declare function getSafeMode(): number;
export declare function skipMacroDefs(): boolean;
export declare function skipBlockAttributes(): boolean;
export declare function updateOptions(options: RenderOptions): void;
export declare function setOption(name: string, value: any): void;
export declare function htmlSafeModeFilter(html: string): string;
export declare function errorCallback(message: string): void;
export declare function panic(message: string): void;
